.\" Copyright (c) 1990, 1991 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)dca.4	5.2 (Berkeley) 3/27/91
.\"	$NetBSD: mfcs.4,v 1.6 2002/02/13 08:17:54 ross Exp $
.\"
.Dd July 23, 1995
.Dt MFCS 4 amiga
.Os
.Sh NAME
.Nm mfcs
.Nd
.Tn BSC/AlfaData MultiFaceCard II/III
serial communications interface
.Sh SYNOPSIS
.Cd "mfc0 at mainbus0"
.Cd "mfcs0 at mfc0 unit 0"
.Cd "mfcs1 at mfc0 unit 1"
.Sh DESCRIPTION
The
.Tn MultiFaceCard II/III
controls, among other things, a dual port
.Tn EIA
.Tn RS-232C
.Pf ( Tn CCITT
.Tn V.28 )
communications interface with a multiple character buffer.
.Pp
Input and output for each MultiFaceCard III line may set to a maximum baud
rates of 1152000.  Formula for baud rate:  Baud = 230400 / N with 1 \*[Lt] N \*[Lt] 65536.
.Pp
Input and output for each MultiFaceCard II line may set to a maximum baud
rates of 57600.  Formula for baud rate:  Baud = 115200 / N with 1 \*[Lt] N \*[Lt] 65536.
.Sh FILES
.Bl -tag -width Pa
.It Pa /dev/ttyA?
.El
.Sh DIAGNOSTICS
.Bl -diag
.It mfcs0: fifo overflow.
The four-character input
.Dq fifo
has overflowed and incoming data has been lost.
.It mfcs0: %d buffer overflows.
The software based input ring buffer
has overflowed %d times and incoming data has been lost.
.El
.Sh SEE ALSO
.Xr tty 4
.Sh HISTORY
The
.Tn Amiga
.Nm
device first appeared in
.Nx 1.1
.Sh BUGS
The MultiFaceCard II/III serial ports use the level 6 interrupt and may
experience fifo overflows if the LEV6_DEFER option is used.
